Start a browser call with an AI agent
curl --request POST \
--url https://api.revdesk.com/v1/agents/{id}/web-call \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.revdesk.com/v1/agents/{id}/web-call"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revdesk.com/v1/agents/{id}/web-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"token": "<string>",
"room_url": "<string>",
"room_name": "<string>",
"expires_in": 123,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ice_servers": [
"<unknown>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Agents
Start a browser call with an AI agent
Dispatches the agent into a room and returns a browser join token. Hand the token and room_url to @revdesk/webrtc (RevDeskRoom) and talk to the agent in the browser — no phone number needed.
POST
/
v1
/
agents
/
{id}
/
web-call
Start a browser call with an AI agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.
Path Parameters
Response
Success
Show child attributes
Show child attributes
⌘I